Constants (Struts Apps - Faces Example 2 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.webapp.example2
Class Constants

    java.lang.Object
      org.apache.struts.webapp.example2.Constants

    public final class Constants

extends Object

Manifest constants for the example application.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $
Author:
  Craig R. McClanahan

Field Summary
`static String` | `DATABASE_KEY` The application scope attribute under which our user database is stored.
`static String` | `Package` The package name for this application.
`static String` | `SUBSCRIPTION_KEY` The session scope attribute under which the Subscription object currently selected by our logged-in User is stored.
`static String` | `USER_KEY` The session scope attribute under which the User object for the currently logged in user is stored.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final String Package

  The package name for this application.

  See Also:
    Constant Field Values

### DATABASE_KEY

    public static final String DATABASE_KEY

  The application scope attribute under which our user database is stored.

  See Also:
    Constant Field Values

### SUBSCRIPTION_KEY

    public static final String SUBSCRIPTION_KEY

  The session scope attribute under which the Subscription object currently selected by our logged-in User is stored.

  See Also:
    Constant Field Values

### USER_KEY

    public static final String USER_KEY

  The session scope attribute under which the User object for the currently logged in user is stored.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.